Bug 1799661 - mongo-cxx-driver: FTBFS in Fedora rawhide/f32
Summary: mongo-cxx-driver: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mongo-cxx-driver
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrik Novotný
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 18:42 UTC by Fedora Release Engineering
Modified: 2020-03-16 20:36 UTC (History)
5 users (show)

Fixed In Version: mongo-cxx-driver-3.4.1-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-16 20:36:20 UTC
Type: ---


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2020-02-06 18:42 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-02-06 18:42 UTC, Fedora Release Engineering
no flags Details
state.log (1.00 KB, text/plain)
2020-02-06 18:42 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 18:42:02 UTC
mongo-cxx-driver failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41319098


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix mongo-cxx-driver at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
mongo-cxx-driver will be orphaned. Before branching of Fedora 33,
mongo-cxx-driver will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 18:42:05 UTC
Created attachment 1659721 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2020-02-06 18:42:07 UTC
Created attachment 1659722 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 18:42:09 UTC
Created attachment 1659723 [details]
state.log

Comment 4 Ben Cotton 2020-02-11 16:38:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 5 Fedora Update System 2020-03-09 08:50:38 UTC
FEDORA-2020-041daf5f6f has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-041daf5f6f

Comment 6 Fedora Update System 2020-03-09 14:54:47 UTC
mongo-cxx-driver-3.4.1-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-041daf5f6f

Comment 7 Fedora Update System 2020-03-16 20:36:20 UTC
mongo-cxx-driver-3.4.1-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.